Class {
	#name : #OpenGLConstants,
	#superclass : #SharedPool,
	#classVars : [
		'GL_ACCUM_BUFFER_BIT',
		'GL_ACTIVE_ATTRIBUTES',
		'GL_ACTIVE_ATTRIBUTE_MAX_LENGTH',
		'GL_ACTIVE_UNIFORMS',
		'GL_ACTIVE_UNIFORM_MAX_LENGTH',
		'GL_ATTACHED_SHADERS',
		'GL_COLOR_BUFFER_BIT',
		'GL_COMPILE_STATUS',
		'GL_COMPUTE_SHADER',
		'GL_DELETE_STATUS',
		'GL_DEPTH_BUFFER_BIT',
		'GL_FRAGMENT_SHADER',
		'GL_GEOMETRY_SHADER',
		'GL_INFO_LOG_LENGTH',
		'GL_LINES',
		'GL_LINE_LOOP',
		'GL_LINE_STRIP',
		'GL_LINK_STATUS',
		'GL_POINTS',
		'GL_POLYGON',
		'GL_QUADS',
		'GL_QUAD_STRIP',
		'GL_SHADER_SOURCE_LENGTH',
		'GL_SHADER_TYPE',
		'GL_STENCIL_BUFFER_BIT',
		'GL_TESS_CONTROL_SHADER',
		'GL_TESS_EVALUATION_SHADER',
		'GL_TRIANGLES',
		'GL_TRIANGLE_FAN',
		'GL_TRIANGLE_STRIP',
		'GL_VALIDATE_STATUS',
		'GL_VERTEX_SHADER'
	],
	#category : #'Diya-OpenGL'
}

{ #category : #'class initialization' }
OpenGLConstants class >> initCommonMask [
	GL_COLOR_BUFFER_BIT := 16r00004000.
	GL_DEPTH_BUFFER_BIT := 16r00000100.
	GL_ACCUM_BUFFER_BIT := 16r00000200.
	GL_STENCIL_BUFFER_BIT := 16r00000400.
]

{ #category : #'class initialization' }
OpenGLConstants class >> initCommonMode [
	GL_TRIANGLES := 16r0004.
	GL_POINTS := 16r0000.
	GL_LINES := 16r0001.
	GL_LINE_STRIP := 16r0003.
	GL_LINE_LOOP := 16r0002.
	GL_TRIANGLE_STRIP := 16r0005.
	GL_TRIANGLE_FAN := 16r0006.
	GL_QUADS := 16r0007.
	GL_QUAD_STRIP := 16r0008.
	GL_POLYGON := 16r0009.
]

{ #category : #'class initialization' }
OpenGLConstants class >> initCommonShader [
	GL_COMPUTE_SHADER := 16r91B9.
	GL_VERTEX_SHADER := 16r8B31.
	GL_TESS_CONTROL_SHADER := 16r8E88.
	GL_TESS_EVALUATION_SHADER := 16r8E87.
	GL_GEOMETRY_SHADER := 16r8DD9.
	GL_FRAGMENT_SHADER := 16r8B30.
	GL_SHADER_TYPE := 16r8B4F.
	GL_DELETE_STATUS := 16r8B80.
	GL_COMPILE_STATUS := 16r8B81.
	GL_INFO_LOG_LENGTH := 16r8B84.
	GL_SHADER_SOURCE_LENGTH := 16r8B88.
	GL_LINK_STATUS := 16r8B82.
	GL_VALIDATE_STATUS := 16r8B83.
	GL_ATTACHED_SHADERS := 16r8B85.
	GL_ACTIVE_ATTRIBUTES := 16r8B89.
	GL_ACTIVE_ATTRIBUTE_MAX_LENGTH := 16r8B8A.
	GL_ACTIVE_UNIFORMS := 16r8B86.
	GL_ACTIVE_UNIFORM_MAX_LENGTH := 16r8B87.
]

{ #category : #'class initialization' }
OpenGLConstants class >> initialize [
	self initCommonMode.
	self initCommonMask.
	self initCommonShader.
]
